Package com.sun.jna.platform.win32.COM

## Class WbemcliUtil.WmiResult<T extends java.lang.Enum<T>>

- java.lang.Object
- - com.sun.jna.platform.win32.COM.WbemcliUtil.WmiResult<T>

Enclosing class:
  WbemcliUtil

    public class WbemcliUtil.WmiResult<T extends java.lang.Enum<T>>
    extends java.lang.Object

Helper class wrapping an EnumMap containing the results of a query.

### Constructor Summary

Constructors
`WmiResult​(java.lang.Class<T> propertyEnum)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCIMType​(T property)` Gets the CIM type from the WmiResult.
`int` `getResultCount()`
`java.lang.Object` `getValue​(T property, int index)` Gets a value from the WmiResult, which may be null.
`int` `getVtType​(T property)` Gets the Variant type from the WmiResult.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WmiResult

    public WmiResult​(java.lang.Class<T> propertyEnum)

Parameters:
  `propertyEnum` - The enum associated with this map

### Method Detail

#### getValue

    public java.lang.Object getValue​(T property,
                                     int index)

Gets a value from the WmiResult, which may be null. User must check for null and cast the result. Types correlate to the CIM Type of the enumerated WMI property and will be consistent for a given property, and may be validated by the user using `getVtType(T)` or the Class of the returned Object.

Parameters:
  `property` - The property (column) to fetch
  `index` - The index (row) to fetch
Returns:
  The Object containing the specified value, which may be null

#### getVtType

    public int getVtType​(T property)

Gets the Variant type from the WmiResult. The integer value is defined as a VT_* constant in the `Variant` interface.

Parameters:
  `property` - The property (column) whose type to fetch
Returns:
  An integer representing the Variant type

#### getCIMType

    public int getCIMType​(T property)

Gets the CIM type from the WmiResult. The integer value is defined as a CIM_* constant in the `Wbemcli` interface.

Parameters:
  `property` - The property (column) whose type to fetch
Returns:
  An integer representing the CIM type

#### getResultCount

    public int getResultCount()

Returns:
  The number of results in each mapped list